Bullet Collision Detection & Physics Library: btGjkEpaPenetrationDepthSolver Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
btGjkEpaPenetrationDepthSolver Class Reference

EpaPenetrationDepthSolver uses the Expanding Polytope Algorithm to calculate the penetration depth between two convex shapes. More...

`#include <btGjkEpaPenetrationDepthSolver.h>`

Inheritance diagram for btGjkEpaPenetrationDepthSolver:
[legend]
Collaboration diagram for btGjkEpaPenetrationDepthSolver:
[legend]

## Public Member Functions
| btGjkEpaPenetrationDepthSolver ()
bool | calcPenDepth (btSimplexSolverInterface &simplexSolver, const btConvexShape *pConvexA, const btConvexShape *pConvexB, const btTransform &transformA, const btTransform &transformB, btVector3 &v, btVector3 &wWitnessOnA, btVector3 &wWitnessOnB, class btIDebugDraw *debugDraw)
Public Member Functions inherited from btConvexPenetrationDepthSolver
virtual | ~btConvexPenetrationDepthSolver ()
virtual bool | calcPenDepth (btSimplexSolverInterface &simplexSolver, const btConvexShape *convexA, const btConvexShape *convexB, const btTransform &transA, const btTransform &transB, btVector3 &v, btVector3 &pa, btVector3 &pb, class btIDebugDraw *debugDraw)=0

## Detailed Description

EpaPenetrationDepthSolver uses the Expanding Polytope Algorithm to calculate the penetration depth between two convex shapes.

Definition at line 24 of file btGjkEpaPenetrationDepthSolver.h.

## Constructor & Destructor Documentation

## ◆ btGjkEpaPenetrationDepthSolver()

btGjkEpaPenetrationDepthSolver::btGjkEpaPenetrationDepthSolver | ( |  | ) |
| inline

Definition at line 27 of file btGjkEpaPenetrationDepthSolver.h.

## Member Function Documentation

## ◆ calcPenDepth()

bool btGjkEpaPenetrationDepthSolver::calcPenDepth | ( | btSimplexSolverInterface & | simplexSolver,
|  | const btConvexShape * | pConvexA,
|  | const btConvexShape * | pConvexB,
|  | const btTransform & | transformA,
|  | const btTransform & | transformB,
|  | btVector3 & | v,
|  | btVector3 & | wWitnessOnA,
|  | btVector3 & | wWitnessOnB,
|  | class btIDebugDraw * | debugDraw
| ) |  |
| virtual

Implements btConvexPenetrationDepthSolver.

Definition at line 23 of file btGjkEpaPenetrationDepthSolver.cpp.

The documentation for this class was generated from the following files:

- btGjkEpaPenetrationDepthSolver.h
- btGjkEpaPenetrationDepthSolver.cpp